commoble.databuddy.nbt

## Interface NBTListCodec.ListReader<T>

Enclosing class:
  NBTListCodec<ENTRY,RAW>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface NBTListCodec.ListReader<T>

Represents a function that takes a list NBT and an index and returns the object in the list at that index. T must match the NBT type of the ListNBT's element or the type of the object they represent, e.g. Integer, String, CompoundNBT, etc

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `apply(net.minecraft.nbt.ListNBT list, int index)`

### Method Detail

#### apply

    T apply(net.minecraft.nbt.ListNBT list,
            int index)

Parameters:
  `list` - a list nbt
  `index` - an index in the list
Returns:
  an nbt element at the given index in the list